apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: bpf-monitor-daemonset
  namespace: default
spec:
  selector:
    matchLabels:
      name: bpf-monitor-daemonset
  template:
    metadata:
      labels:
        name: bpf-monitor-daemonset
    spec:
      containers:
        - name: bpf-monitor-daemonset
          image: registry.gitlab.com/komputa/cex-2024/bpf-monitor:latest
          imagePullPolicy: IfNotPresent
          securityContext:
            privileged: true
      hostNetwork: true
